Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: Re: [OMPI users] Continued functionality across a SLES10 to SLES11 upgrade ...
From: Jeff Squyres (jsquyres_at_[hidden])
Date: 2010-09-22 09:58:25


On Sep 22, 2010, at 9:50 AM, Richard Walsh wrote:

> The implication of your reply
> is that if the symbols/libraries are all there then things should work.

*IF* SLES provides binary compatibility guarantees between 10.2 and 11.

If not, then it *may* work, and/or it may fail in mysterious ways (e.g., if a struct changed size somewhere that OMPI uses to interact with the system, then it may work in some cases and may fail in other seemingly unrelated cases. Such things are a total bugger to track down).

-- 
Jeff Squyres
jsquyres_at_[hidden]
For corporate legal information go to:
http://www.cisco.com/web/about/doing_business/legal/cri/